> ## Documentation Index
> Fetch the complete documentation index at: https://developer.eka.care/llms.txt
> Use this file to discover all available pages before exploring further.

# Get appointment token

> Get token number issued by the facility



## OpenAPI

````yaml get /abdm/v2/profile/share/{request_id}
openapi: 3.1.0
info:
  description: ABHA Registration and login APIs
  title: Registration
  version: 1.0.0
servers:
  - description: Production
    url: https://api.eka.care
  - description: Stage/Sandbox
    url: https://api.dev.eka.care
security: []
paths:
  /abdm/v2/profile/share/{request_id}:
    get:
      description: Get token number issued by the facility
      parameters:
        - description: Eka User ID (OID)
          in: header
          name: X-Pt-Id
          schema:
            type: string
        - description: Partner User ID
          in: header
          name: X-Partner-Pt-Id
          schema:
            type: string
        - description: Partner HIP ID
          in: header
          name: X-Hip-Id
          schema:
            type: string
        - description: request id received from the POST /abdm/v2/profile/share API
          in: path
          name: request_id
          required: true
          schema:
            description: request id received from the POST /abdm/v2/profile/share API
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScanandshareResponse'
          description: OK
        4XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
        5XX:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericError'
          description: ''
      security:
        - authApiKey: []
components:
  schemas:
    ScanandshareResponse:
      properties:
        expiry:
          description: Expiry time for the token
          examples:
            - '2025-07-25T18:36:20+05:30'
          format: date-time
          type:
            - 'null'
            - string
        request_id:
          description: Request ID to track the status
          type: string
        status:
          enum:
            - success
            - ' processing'
            - ' failed'
          type: string
        token_number:
          description: Token number for the scan and share
          type: string
      type: object
    GenericError:
      properties:
        code:
          type: integer
        error:
          type: string
        source_error:
          $ref: '#/components/schemas/SourceErr'
      type: object
    SourceErr:
      properties:
        code:
          type: string
        message:
          type: string
      type: object
  securitySchemes:
    authApiKey:
      description: The API requires a Bearer token (JWT) for authentication.
      scheme: bearer
      type: http

````